define('spyl/pb/MovieElement', ['jls/lang/Class', 'spyl/pb/PreviewElement'], function (Class, PreviewElement) {

var MovieElement;
MovieElement = Class.create(PreviewElement,
{
    onCreateHtmlElement : function() {
        var embed = document.createElement('embed');
        embed.setAttribute('quality', 'high');
        embed.setAttribute('allowfullscreen', 'true');
        //embed.setAttribute('allowscriptaccess', 'always');
        embed.setAttribute('width', '768'); embed.setAttribute('height', '768');
        var flashvars = 'file=' + this._media.getPathname();
        flashvars += '&autostart=true&controlbar=over&bufferlength=5&stretching=none';
        flashvars += '&screencolor=#FFFFFF';
        flashvars += '&skin=glow.zip';
        embed.setAttribute('flashvars', flashvars);
        embed.setAttribute('type', 'application/x-shockwave-flash');
        embed.setAttribute('src', 'player.swf');
        return embed;
    }
});


return MovieElement;
});
